Skip to content

Checkmate REST API (1.0.0)

Checkmate API for launching background checks from your side using Checkmate.

Contact

Download OpenAPI description
Languages
Servers
Mock server
https://docs.checkmate.tech/_mock/api
Staging
https://staging-api.checkmate.tech/partners/v1
Production
https://api.checkmate.tech/partners/v1

OAuth token authorization

Basic Authorization

If you are not planning to build a multi-tenant integration then, we encorauge you to skip OAuth authentication and use your Checkmate account token instead. You can grab it from your Partner's page under "Account API"

Remember to store it safely!

Basic Authorization

placeholder

Operations
Operations
Operations

Pre-configured check bundles

Operations
Operations
Operations
Operations
Operations

Request

Gets a list of referees for a Reference Check Plus / Custom Reference Check.

Security
bearerAuth
Path
partner_application_idstringrequired

value of candidate.partner_application_id

candidate_check_idintegerrequired
curl -i -X GET \
  'https://docs.checkmate.tech/_mock/api/candidates/{partner_application_id}/checks/{candidate_check_id}/referees' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of referees

Bodyapplication/json
resultArray of objects(Referee)
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": [ { … } ], "status": 200, "error": {} }

Request

Creates a referee on a Reference Check Plus.

Security
bearerAuth
Path
partner_application_idstringrequired

value of candidate.partner_application_id

candidate_check_idintegerrequired
Bodyapplication/jsonrequired
candidate_form_idintegerrequired

Form ID for Candidate

Example: 12
form_idintegerrequired

Form ID for Referee

Example: 24
manualboolean

If true, details are provided on this call; communications to candidate won't be sent

Example: false
answersobject

Keys are form field IDs, values are answers

curl -i -X POST \
  'https://docs.checkmate.tech/_mock/api/candidates/{partner_application_id}/checks/{candidate_check_id}/referees' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "candidate_form_id": 12,
    "form_id": 24,
    "manual": false,
    "answers": {}
  }'

Responses

Created referee

Bodyapplication/json
resultobject(Referee)
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": { "id": 6153, "first_name": "Jar Jar", "last_name": "Binks", "name": "Jar Jar Binks", "email": "jarjar.binks@gmail.com", "contact_number": "+123456789", "created_at": "2025-08-15T20:38:03+00:00", "submitted_at": "2025-08-15T20:38:03+00:00", "completed_at": null, "ip": null, "linkedin_profile": null, "backup": false, "overdue": false, "replaced_by": 2, "manual": true, "canceled": false, "user_agent": null, "ip_country": null, "candidate_form_id": 896, "form_id": 891, "warning_flag": false, "approved_by_client": false, "status": "in-progress" }, "status": 200, "error": {} }

Request

Deletes a referee.

Security
bearerAuth
Path
partner_application_idstringrequired

value of candidate.partner_application_id

candidate_check_idintegerrequired
referee_idintegerrequired
curl -i -X DELETE \
  'https://docs.checkmate.tech/_mock/api/candidates/{partner_application_id}/checks/{candidate_check_id}/referees/{referee_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
resultobject or null
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": {}, "status": 200, "error": {} }

Request

Sends email/SMS to the referee requesting completion of the reference form.

Security
bearerAuth
Path
partner_application_idstringrequired

value of candidate.partner_application_id

candidate_check_idintegerrequired
referee_idintegerrequired
curl -i -X POST \
  'https://docs.checkmate.tech/_mock/api/candidates/{partner_application_id}/checks/{candidate_check_id}/referees/{referee_id}/request' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Success

Bodyapplication/json
resultobject or null
statusinteger
Example: 200
errorobject or null
Response
application/json
{ "result": {}, "status": 200, "error": {} }
Operations
Operations

Company-enabled checks

Operations

Forms (reference, questionnaire, etc.)

Operations
Operations
Webhooks are unique per partner and company!

Only one webhook can exists for a partner and company. You will only get updates notifications on candidates created under this context.

E.g. If you subscribe to a webhook using your Account API token you won't be get notified about updates on candidates created directly on the web application or other partners.

:global parameter

:global parameter is the only exception to the above. If global=true you will get notifications on all candidates created through the API. You still won't get notifications on candidates created from the web application as they don't belog to the API.

Operations